Subject: Re: [TLS] TLS 1.3 - Support for compression to be removed
From: Dave Garrett <[email-masked]>
To: [email-masked], Jeremy Harris <[email-masked]>
Date: Fri, 25 Sep 2015 16:31:23 -0400
List-Id: "This is the mailing list for the Transport Layer Security working group of the IETF." <tls.ietf.org>

On Friday, September 25, 2015 02:40:05 pm Jeremy Harris wrote:
> Why is it not possible for TLS1.3 to provide that same service
> combination, but implemented by design in a layered fashion?

At this point, you're just going to have to accept that it's not going to happen. (a TLS WG chair could randomly decide to try to reverse course, but I don't see that happening) The WG does not want to spend the significant time and effort needed to create and test a properly secured compression layer for a protocol that is not designed to deal with this, especially given that we know from experience that the application layer can do this far more effectively and safely. (see SPDY, HTTP/2 and HPACK) One way or another, you need a new compression layer, but the general consensus seems to be that it shouldn't be in TLS, at least not directly. A TLS extension might be an option, which would also let people who want compression with application layers that lack it to use it with TLS 1.2 again. I can't say for certain that the WG would even be on-board with that. (I'm not sure _I_ am) The built-in compression, though, should be considered broken and dead.

Dave